Bug 29331 - Batch edit items.itemlost
Summary: Batch edit items.itemlost
Status: REOPENED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-27 08:20 UTC by Jonathan Druart
Modified: 2022-04-06 20:01 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 29331: Allow items.itemlost from batch item modification (8.09 KB, patch)
2021-10-27 08:22 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2021-10-27 08:20:27 UTC
From IRC
"I think Bug 28445 broke the ability to batch update lost status"

So I fixed it, but actually it was not possible before 28445.

Do we want it?
Comment 1 Jonathan Druart 2021-10-27 08:22:51 UTC
Created attachment 126956 [details] [review]
Bug 29331: Allow items.itemlost from batch item modification

Not done yet, call to LostItem from Koha::Items->batch_update needs to
be adjusted
Comment 2 Jonathan Druart 2021-10-27 08:24:00 UTC
Note that this patch is also displaying subfields that are hidden when editing items. It can be moved to its own bug report if we want it.
Comment 3 Katrin Fischer 2021-10-27 09:14:09 UTC
I think the ability to batch edit lost items is quite helpful. A use case would be inventory when you come up with a list of missing items. We had libraries asking for them to be set to "missing" to mark them in the catalog. I believe I used the batch edit item tool (possibly 18.11).

When a item is batch edited I think we cannot assume that it has actually be seen/handled, so it should not be handled like a "checkin" where the lost status would be removed automatically.
Comment 4 Katrin Fischer 2021-10-27 09:16:07 UTC
I believe the hidden fields should remain hidden (keep previous behaviour). There  is a number of critical fields we might want to think about more before allowing changes.
Comment 5 Andrew Fuerste-Henry 2021-12-03 15:26:30 UTC
Just to clarify, one is able to use batch modification to add a lost status to items and to use batch modification to change other values on items that are lost. But one cannot use batch modification to remove a lost status from items.

I guess it makes sense to prevent items being un-lost in bulk, but if we're maintaining the current behavior we should actually disable the checkbox in batch mod. Right now, I can take a bunch of lost items and *tell* batch mod to un-lose them. Koha claims it will do so and then just doesn't.

If we're preventing an action, we should do so deliberately and clearly.
Comment 6 Sara Brown 2022-04-06 20:01:33 UTC
It appears that 'successfully' un-losing items through batch item mod depends on whether the item is checked out when it's un-lost (or attempted to be).

Scenario 1:
-Set MarkLostItemsAsReturned to 'from the batch item modification tool'
-Check item out to patron
-Lose item from Items tab (items are *not* returned when marked lost on Items tab per MarkLostItemsAsReturned)
-In bib, verify that item shows as Lost and checked out
-In Batch Item Modification, delete lost status (no other changes made)
-In bib, the item is no longer marked as checked out but its status is Lost.
-In patron's record, note that item is no longer showing as checked out.

Scenario 2:
-Set MarkLostItemsAsReturned to 'from the batch item modification tool'
-Lose an item that isn't checked out to a patron
-In Batch Item Modification, delete lost status (no other changes made)
-In bib, item status is Available